This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 533520 - Review Request: ogre-pagedgeometry - Ogre addon for realtime rendering of dense forests
Review Request: ogre-pagedgeometry - Ogre addon for realtime rendering of den...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Guido Grazioli
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-06 19:35 EST by Bruno Wolff III
Modified: 2010-01-23 03:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-23 03:18:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
guido.grazioli: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2009-11-06 19:35:24 EST
Spec URL: http://wolff.to/bruno/ogre-pagedgeometry.spec
SRPM URL: http://wolff.to/bruno/ogre-pagedgeometry-1.05-2.2721svn.fc12.src.rpm
Description: Real-time rendering of massive, dense forests, with not only trees, but bushes, grass, rocks, and other "clutter". Supports dynamic transitioned LOD between batched geometry and static impostors (extendable).
Comment 1 Bruno Wolff III 2009-11-06 19:39:55 EST
There is a scratch build at:
https://koji.fedoraproject.org/koji/taskinfo?taskID=1793274
Comment 2 Bruno Wolff III 2009-11-06 22:38:18 EST
I have an updated SRPM at:
http://wolff.to/bruno/ogre-pagedgeometry-1.05-3.2721svn.fc12.src.rpm
pkgconfig wasn't really being used and I had the case wrong on the include directory.
Comment 3 Guido Grazioli 2009-11-07 04:34:50 EST
Specfile is in good shape, taking review of this package.
Comment 4 Dan Horák 2009-11-07 04:56:41 EST
Setting -DBUILD_SHARED_LIBS:BOOL=ON explicitely on the command line shouldn't be needed, the %cmake macro already contains that.
Comment 5 Bruno Wolff III 2009-11-07 10:08:20 EST
I'll retest it. That may have been when I was trying to work around them forcing a static library build. I ended up having to use a patch to do that instead.
Comment 6 Bruno Wolff III 2009-11-07 10:17:34 EST
I rebuilt the src rpm without using -DBUILD_SHARED_LIBS:BOOL=ON and replaced the spec file and added a new src rpm.
http://wolff.to/bruno/ogre-pagedgeometry-1.05-4.2721svn.fc12.src.rpm
Comment 7 Bruno Wolff III 2009-11-07 10:49:36 EST
I made a new scratch build for -4 to make it easy to review build logs.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1794203
Comment 8 Guido Grazioli 2009-11-10 06:45:27 EST
OK - rpmlint output
ogre-pagedgeometry.x86_64: W: no-documentation
4 packages and 1 specfiles checked; 0 errors, 1 warnings.
OK - The package must be named according to the Package Naming Guidelines.
OK - The spec file name must match the base package %{name}
OK - The package must meet the Packaging Guidelines
OK - If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc (no license file)
OK - The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines (license is zlib)
OK - Every binary RPM package which stores shared library files must
call ldconfig in %post and %postun 
OK - The package MUST successfully compile and build
http://koji.fedoraproject.org/koji/taskinfo?taskID=1794203  
OK - The spec file must be written in American English.
OK - The spec file for the package MUST be legible.
OK - The sources used to build the package must match the upstream source, as
provided in the spec URL. 
The package is exported from svn.
NA - The spec file MUST handle locales properly (no translations)
NA - package not relocatable
OK - A package must own all directories that it creates
OK - A Fedora package must not list a file more than once in the spec file's
%files listings
OK - Permissions on files must be set properly
OK - Each package must have a %clean section
OK - Each package must consistently use macros
OK - The package must contain code, or permissable content 
NA - Large documentation files must go in a -doc subpackage 
(no large doc, 4 odt file with devel documentation totalling 50k)
OK - If a package includes something as %doc, it must not affect the runtime of
the application
OK - Header files must be in a -devel package (devel package present)
NA - Static libraries must be in a -static package (no static package)
OK - Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (no .pc files)
OK - Packages must NOT contain any .la libtool archives
NA - Packages containing GUI applications MUST include a .desktop file 
OK - No file conflicts with other packages and no general names.
OK - At the beginning of %install, each package MUST run rm -rf %{buildroot}
OK - All filenames in rpm packages must be valid UTF-8
OK - The package does not yet exist in Fedora. The Review Request is not a
duplicate.
OK - %{?dist} tag is used in release

--
Some notes:

- /usr/%{libdir}/sse/OGRE should be owned by ogre. Until it is fixed in that package, it's safe to own it here.

- no doc in main package: GettingStarted.txt contains a brief description of the project, you could move it to main package

- the samples (currently unpackaged) do explicitly load ogre-cg in the code. As ogre-cg depends on nvidia cg, and both area only available in rpmfusion-nonfree, samples cant be accepted in main repository without modification.

--
Package APPROVED
Comment 9 Bruno Wolff III 2009-11-10 12:15:28 EST
New Package CVS Request
=======================
Package Name: ogre-pagedgeometry
Short Description: Ogre addon for realtime rendering of dense forests
Owners: bruno
Branches: F-11 F-12
InitialCC:
Comment 10 Kevin Fenzi 2009-11-10 22:39:16 EST
cvs done.
Comment 11 Dan Horák 2010-01-23 03:18:43 EST
package is imported and built, closing

Note You need to log in before you can comment on or make changes to this bug.